#
# spec file for package qtkeychain
#
# Copyright (c) 2012 Klaas Freitag <freitag@owncloud.com>
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://github.com/owncloud/issues
#

%define _soversion 0

%if 0%{?suse_version} == 1110 
%define make_install %{makeinstall}
%endif

%define qtprefix %{nil}

Name:           %{qtprefix}libqtkeychain
BuildRequires:  cmake
BuildRequires:  gcc-c++ 

BuildRequires:  qt4 qt4-devel >= 4.6

Version:        0.3
Release:        8.1
Summary:        A cross platform password store library
License:        MIT
Group:          Development/Libraries/C and C++
Url:            https://github.com/frankosterfeld/qtkeychain
Source0:        qtkeychain-%{version}.tar.bz2

BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
use qtkeychain to store passwords easy and secure on Linux, Windows and
Mac.


%package -n %{name}%{_soversion}
Summary:        A cross platform password store library
Group:          Development/Libraries/C and C++
%if 0%{?fedora_version} > 18
Obsoletes:      qtkeychain
%endif

%description -n %{name}%{_soversion}
use qtkeychain to store passwords easy and secure on Linux, Windows and
Mac.

%package devel
Summary:        A cross platform password store library
Group:          Development/Libraries/C and C++
AutoReqProv:    on
Requires:       %{qtprefix}libqtkeychain%{_soversion} = %{version}
%if 0%{?fedora_version} > 18
Obsoletes:      qtkeychain-devel
%endif


%description devel
use qtkeychain to store passwords easy and secure on Linux, Windows and
Mac.

This package contains development files for libqtkeychain.

%prep
%setup -q -n qtkeychain-%{version}

%if 0%{?rhel_version} || 0%{?centos_version} || 0%{?suse_version} == 1110
%patch1 -p1
%endif

%build
export LD_LIBRARY_PATH=%_libdir
export PATH=$PATH:%_bindir
mkdir build
pushd build

cmake .. \
    -DCMAKE_INSTALL_PREFIX=%{_prefix} \
    -DCMAKE_BUILD_TYPE=RelWithDebInfo \
    -DCMAKE_VERBOSE_MAKEFILE=ON \
%ifarch %arm ppc ppc64
    -DWITH_CRASHREPORTER=OFF \
    -DWITH_BREAKPAD=OFF \
%endif
    -DBUILD_RELEASE=ON

%__make %{?jobs:-j%jobs} || %__make -j1
popd

%install
pushd build
%make_install
popd

%post -n %{name}%{_soversion} -p /sbin/ldconfig

%postun -n %{name}%{_soversion} -p /sbin/ldconfig

%files -n %{name}%{_soversion}
%defattr(-,root,root)
%{_libdir}/libqtkeychain.so.*
%{_prefix}/share/qt4/translations/qtkeychain_*.qm
%doc COPYING ReadMe.txt

%files devel
%defattr(-,root,root)
%{_includedir}/qtkeychain
%{_libdir}/cmake
%{_libdir}/libqtkeychain.so

%changelog
* Wed Jul 16 2014 jw@owncloud.com
- Rename libqtkeychain-dev to qtkeychain-dev
- Adapted debian.rules to match the new name.
* Fri Mar 14 2014 danimo@owncloud.com
- Bump to 0.3
* Thu Mar  6 2014 freitag@owncloud.com
- Obsolete also the upstream devel package.
* Thu Mar  6 2014 freitag@owncloud.com
- Obsolete the upstream qtkeychain package on Fedora.
* Thu Feb 20 2014 freitag@owncloud.com
- Added keyring.diff file.
* Thu Feb 20 2014 freitag@owncloud.com
- Added a patch to detect GNOME keyring on older distros.
* Tue Jan 28 2014 freitag@owncloud.com
- Fixed diff.
* Tue Jan 28 2014 freitag@owncloud.com
  * date release 20140128:
  - delete job fixes
  - romanian translation
  - qt5 fixes
  - error reporting fixes
    and other fixes.
* Mon Sep  2 2013 freitag@owncloud.com
- Add patches to the debian build through series file.
* Mon Sep  2 2013 freitag@owncloud.com
- Add patch to fix
  https://github.com/frankosterfeld/qtkeychain/issues/9
  until it's applied upstream.
* Mon Aug  5 2013 freitag@owncloud.com
- Added new tarball.
* Mon Aug  5 2013 freitag@owncloud.com
- removed unused patch.
* Mon Aug  5 2013 freitag@owncloud.com
- Updated to a more recent version of qtkeychain with gnomekeyring
  fixes included.
* Thu Apr 11 2013 freitag@owncloud.com
- Added patch to build with cmake 2.6 on CentOS and RHEL.
* Fri Jan 18 2013 freitag@owncloud.com
- Fixed dependency from dev package to main for deb builds.
* Thu Jan 17 2013 freitag@owncloud.com
- Fedora build fixed by removing build dep on kde4-filesystem.
* Thu Jan 17 2013 freitag@owncloud.com
- Update to first official version 0.1
* Thu Dec 13 2012 dev@dominik-schmidt.de
- clean up spec file
* Sat Dec  8 2012 freitag@owncloud.com
- First initial package for linux.
